Table of Contents

Class: DeferredList | Twisted-0.19.0/twisted/internet/defer.py
--- | ---
### I combine a group of deferreds into one callback. I track a list of Deferreds for their callbacks, and make a single callback when they have all completed.
Base Classes |
--- | ---
Deferred
Methods |
--- | ---
__init__ _cbDeferred
| __init__
    __init__ ( self,  deferredList )
### Initialize a DeferredList. Arguments:
              deferredList: a list of Deferreds
| _cbDeferred
    _cbDeferred (
            self,
            result,
            index,
            succeeded,
            )
(internal) Callback for when one of my deferreds fires.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:41 2002 by HappyDoc version 2.0